com.tibbo.aggregate.common.action.command

## Class EditTemplate

- java.lang.Object
- - com.tibbo.aggregate.common.action.GenericActionCommand
  - - com.tibbo.aggregate.common.action.command.EditTemplate

- All Implemented Interfaces:
    ActionCommand, java.lang.Cloneable

      public class EditTemplate
      extends GenericActionCommand

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CF_DEFAULT_CONTEXT`
    `static java.lang.String` | `CF_EDIT_MODE`
    `static java.lang.String` | `CF_WIDGET`
    `static java.lang.String` | `CF_WIDGET_CONTEXT`
    `static TableFormat` | `CFT_EDIT_TEMPLATE`
    `static int` | `EDIT_FBD`
    `static int` | `EDIT_LD`
    `static int` | `EDIT_SFC`
    `static int` | `EDIT_ST`
    `static int` | `EDIT_WIDGET`
    `static int` | `EDIT_WORKFLOW`
    `static java.lang.String` | `RF_RESULT`
    `static java.lang.String` | `RF_WIDGET`
    `static TableFormat` | `RFT_EDIT_WIDGET`

    - ### Fields inherited from class com.tibbo.aggregate.common.action.GenericActionCommand

      `CF_COMPONENT_LOCATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EditTemplate(java.lang.String type)`
    `EditTemplate(java.lang.String title, DataTable parameters)`
    `EditTemplate(java.lang.String type, java.lang.String title, DataTable parameters)`
    `EditTemplate(java.lang.String type, java.lang.String title, java.lang.String defaultContext, java.lang.String widgetContext, java.lang.String widget, int editMode)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected DataTable` | `constructParameters()`
    `java.lang.String` | `getDefaultContext()`
    `int` | `getEditMode()`
    `java.lang.String` | `getWidget()`
    `java.lang.String` | `getWidgetContext()`
    `void` | `setDefaultContext(java.lang.String defaultContext)`
    `void` | `setEditMode(int editMode)`
    `void` | `setWidget(java.lang.String widget)`
    `void` | `setWidgetContext(java.lang.String widgetContext)`

    - ### Methods inherited from class com.tibbo.aggregate.common.action.GenericActionCommand

      `clone, createDefaultResponse, equals, getComponentLocation, getParameters, getRequestId, getResponseFormat, getTitle, getType, hashCode, isBatchEntry, isInteractive, isLast, isResponseValid, setBatchEntry, setComponentLocation, setComponentLocation, setInteractive, setLast, setParameters, setRequestId, setTitle, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### EDIT_WIDGET

          public static final int EDIT_WIDGET

      See Also:
        Constant Field Values

    - #### EDIT_ST

          public static final int EDIT_ST

      See Also:
        Constant Field Values

    - #### EDIT_SFC

          public static final int EDIT_SFC

      See Also:
        Constant Field Values

    - #### EDIT_FBD

          public static final int EDIT_FBD

      See Also:
        Constant Field Values

    - #### EDIT_LD

          public static final int EDIT_LD

      See Also:
        Constant Field Values

    - #### EDIT_WORKFLOW

          public static final int EDIT_WORKFLOW

      See Also:
        Constant Field Values

    - #### CF_DEFAULT_CONTEXT

          public static final java.lang.String CF_DEFAULT_CONTEXT

      See Also:
        Constant Field Values

    - #### CF_WIDGET_CONTEXT

          public static final java.lang.String CF_WIDGET_CONTEXT

      See Also:
        Constant Field Values

    - #### CF_WIDGET

          public static final java.lang.String CF_WIDGET

      See Also:
        Constant Field Values

    - #### CF_EDIT_MODE

          public static final java.lang.String CF_EDIT_MODE

      See Also:
        Constant Field Values

    - #### RF_WIDGET

          public static final java.lang.String RF_WIDGET

      See Also:
        Constant Field Values

    - #### RF_RESULT

          public static final java.lang.String RF_RESULT

      See Also:
        Constant Field Values

    - #### CFT_EDIT_TEMPLATE

          public static final TableFormat CFT_EDIT_TEMPLATE

    - #### RFT_EDIT_WIDGET

          public static final TableFormat RFT_EDIT_WIDGET

  - ### Constructor Detail

    - #### EditTemplate

          public EditTemplate(java.lang.String type)

    - #### EditTemplate

          public EditTemplate(java.lang.String type,
                              java.lang.String title,
                              java.lang.String defaultContext,
                              java.lang.String widgetContext,
                              java.lang.String widget,
                              int editMode)

    - #### EditTemplate

          public EditTemplate(java.lang.String type,
                              java.lang.String title,
                              DataTable parameters)

    - #### EditTemplate

          public EditTemplate(java.lang.String title,
                              DataTable parameters)

  - ### Method Detail

    - #### constructParameters

          protected DataTable constructParameters()

      Overrides:
        `constructParameters` in class `GenericActionCommand`

    - #### getDefaultContext

          public java.lang.String getDefaultContext()

    - #### setDefaultContext

          public void setDefaultContext(java.lang.String defaultContext)

    - #### getWidgetContext

          public java.lang.String getWidgetContext()

    - #### setWidgetContext

          public void setWidgetContext(java.lang.String widgetContext)

    - #### getWidget

          public java.lang.String getWidget()

    - #### setWidget

          public void setWidget(java.lang.String widget)

    - #### getEditMode

          public int getEditMode()

    - #### setEditMode

          public void setEditMode(int editMode)